
Ruby - Bug #1775

autoconf failing on cygwin
Status: Closed   

Priority: Normal   

Assignee: nobu (Nobuyoshi Nakada)   

Target version:    

ruby -v: ruby 1.8.7 (2008-08-11 patchlevel 72)

[i386-cygwin]

Backport:  

Description

=begin

On a pristine anonymous svn checkout of trunk head, I'm not able to run autoconf successfully. The error message I'm getting is as

follows:

/usr/bin/m4:configure.in:YYY: cannot create temporary file for diversion: Permission denied

autom4te-2.63: /usr/bin/m4 failed with exit status: 1

In the above, YYY is changing every time I run autoconf. Numbers I get, among others: 968, 957, 970, 959, 932, 1153, 941, 1106,

1212, 1197, 932, 967, 957, 1056, 941, 959, 959, 960, 931, 959, 957, 931, 933, 1282, 959, 1153, 957, 960, 973, 957, 1153,...

I'm not an expert in autoconf or m4, and I don't see any commonalities in the lines listed above in configure.in.

Occasionally (maybe once in 10 times), I get an additional message (the last 6 letters of the directory name being different every

time):

/usr/bin/m4: cannot remove temporary directory /tmp/m4-jZWJbn: Directory not empty

But a simple 'rmdir' for that directory from a cygwin console removes that directory.

This is on cygwin on Windows Vista, on a dual core machine. I first was assuming a permission problem, but that would not show up

with such a random pattern, and it seems all the relevant permissions are okay. Now I'm suspecting a racing condition between the

two cores, but that's just a wild guess.

Any advice/help very much appreciated.

Regards,   Martin.

=end

History

#1 - 07/15/2009 01:14 PM - duerst (Martin Dürst)

=begin

On 2009/07/14 22:23, Roger Pack wrote:

On a pristine anonymous svn checkout of trunk head, I'm not able to run autoconf successfully. The error message I'm getting is as follows:

/usr/bin/m4:configure.in:YYY: cannot create temporary file for diversion: Permission denied

autom4te-2.63: /usr/bin/m4 failed with exit status: 1

 Does trunk fail? Did the last released patch version fail?

 Yes, the trunk fails. Currently ar revision 24115. Some other

linenumbers in configure.in that I got this morning: 1532, 2105 (never

got that high so far), 1010.

As for 'latest released patch', what exactly do you mean? Is there a

patch that isn't in trunk yet? If yes, where can I get it?

Regards,   Martin.

--

#-# Martin J. Dürst, Professor, Aoyama Gakuin University

#-# http://www.sw.it.aoyama.ac.jp   mailto:duerst@it.aoyama.ac.jp

=end
#2 - 07/15/2009 02:50 PM - duerst (Martin Dürst)

=begin

On 2009/07/15 14:02, Roger Pack wrote:

As for 'latest released patch', what exactly do you mean? Is there a patch

that isn't in trunk yet? If yes, where can I get it?

 latest 187 patch number from ftp://ftp.ruby-lang.org/pub/ruby/

 Many thanks for your help! I downloaded and untared

ruby-1.8.7-p174.tar.gz. I get exactly the same problem, /usr/bin/m4

complaining that it cannot create a temparary file when processing

configure.in when running autoconf.

Some of the line numbers I get this time: 1832, 1832, 1793, 1832, 1735,

1372, 1372, 1806, 1832,...

That looks somewhat different than for trunk: the line numbers are

higher, and less scattered. But the basics are the same.

Please note that I'm only interested in trunk, but I'm happy to

experiment with other versions if there's any chance to get some insight

into this problem that way.

Regards,    Martin.

--

#-# Martin J. Dürst, Professor, Aoyama Gakuin University

#-# http://www.sw.it.aoyama.ac.jp   mailto:duerst@it.aoyama.ac.jp

=end

#3 - 07/15/2009 06:56 PM - neomjp (neomjp neomjp)

=begin

Hi,

Autoconf works fine for me here (cygwin-1.7 on XP). This error looks more like a problem about cygwin and your environment than about ruby.

Several messages in cygwin lists suggest that this may be caused by some interference from some antivirus software.

http://sourceware.org/ml/cygwin/2007-05/msg00679.html (Eric Blake is the cygwin m4 maintainer)

http://sourceware.org/ml/cygwin/2008-03/msg00577.html

http://sourceware.org/ml/cygwin-xfree/2008-12/msg00039.html

Do you have installed any of the softwares listed in

http://cygwin.com/faq/faq.using.html#faq.using.bloda

=end

#4 - 07/16/2009 03:25 PM - yugui (Yuki Sonoda)

- Assignee set to nobu (Nobuyoshi Nakada)

=begin

=end

#5 - 07/16/2009 04:30 PM - duerst (Martin Dürst)

- Status changed from Open to Closed

=begin

Switching off on-access virus checks for disk writes (still keeping them for disk reads) with MacAffee solved this problem. Thanks everybody for their

help, in particular neomjp neomjp.

=end
